manifestVersion: 1.1
id: snowflake
category: networking
name: Tor Snowflake Proxy
version: "v2.12.1"
tagline: Помогите победить интернет-цензуру
description: >-
  Snowflake — это система борьбы с интернет-цензурой. Люди, которые
  censored может использовать Snowflake для доступа в Интернет. Их связь идет
  через прокси-серверы Snowflake, которыми управляют волонтеры.
  
  
  Если ваш доступ в Интернет не подвергается цензуре, вам следует рассмотреть возможность использования прокси-сервера Snowflake, чтобы помочь пользователям в цензурируемых сетях. Нет необходимости беспокоиться о том, к каким веб-сайтам люди обращаются через ваш прокси. Их видимый IP-адрес просмотра будет соответствовать их выходному узлу Tor, а не вашему.
developer: The Tor Project, Inc.
website: https://snowflake.torproject.org/
dependencies: []
repo: https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/snowflake/-/tree/main
support: https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/snowflake/-/issues
port: 3800
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
deterministicPassword: false
torOnly: false
releaseNotes: >-
  Различные исправления и улучшения:
    - Исправлена проблема с конвейером выпуска версии 2.12.0.
    - Отключить периодическую статистику прокси, если суммарный интервал установлен на ноль.
    - Установите для кода страны значение «неизвестно», если поиск по геолокации не удался.
    - Добавлена поддержка скрытого транспорта DTLS в прокси и клиенте.
    - Обновлен стек pion WebRTC с исправлениями безопасности и улучшениями производительности.
    - Опрос прокси-сервера возможен только в том случае, если ретранслятор по умолчанию доступен.
    - Добавлена поддержка нескольких каналов SQS.
    - Добавлена опция обратного измерения оттока прокси у брокера.
    - Добавлен показатель Prometheus для количества ответов прокси.
    - Исправлено состояние гонки в безопасном помощнике по метрикам Prometheus.
    - Четкая карта видимых IP-адресов прокси-серверов для предотвращения неограниченного роста.
    - Извлечение IP-адреса клиента из SDP для рандеву кеша AMP.
    - Исправлены отсутствующие метки в изображении Docker.
    - Упрощение показателей брокера и удаление мьютексов.
    - Обновление списка и зависимостей STUN-серверов.
  
  
  Информация о выпуске: https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/snowflake/-/releases
  
  
  Сравните с версией 2.11.0: https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/snowflake/-/compare/v2.11.0...v2.12.1
submitter: DFWebOS
submission: https://github.com/getumbrel/umbrel/pull/1284
